Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5117)
@@ -9276,16 +9276,16 @@
 #endif      
 #endif
-      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+      IF ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
          do il=1,ncum 
-             if (i.le.inb(il) .and. lwork(il)) THEN
+             IF (i.le.inb(il) .AND. lwork(il)) THEN
                 xt(iso_eau,il,i)=  q(il,i)
-             endif !if (i.le.inb(il) .and. lwork(il)) THEN
+             endif !if (i.le.inb(il) .AND. lwork(il)) THEN
            enddo !do il=1,ncum     
-      endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+      endif !if ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
       ! verif que les vapeurs du ddft plus haut sont bonnes
       ! si i=INB, on ne verifie rien car pas de vapeur au dessus de INB
 #ifdef ISOVERIF
        do il=1,ncum 
-         if (i.lt.inb(il) .and. lwork(il)) THEN
+         IF (i.lt.inb(il) .AND. lwork(il)) THEN
           do j=i+1,INB(il)
             do ixt=1,ntraciso
@@ -9294,12 +9294,12 @@
             enddo
          enddo !do j=i+1,INB
-        endif ! (i.lt.inb(il) .and. lwork(il)) THEN
+        endif ! (i.lt.inb(il) .AND. lwork(il)) THEN
        enddo !do il=1,ncum 
 #endif
 #ifdef ISOVERIF
        do il=1,ncum 
-         if (i.lt.inb(il) .and. lwork(il)) THEN
+         IF (i.lt.inb(il) .AND. lwork(il)) THEN
           do j=i+1,INB(il)
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtp(iso_eau,il,j),qp(il,j), &
                  'appel_stewart_np 66',errmax,errmaxrel)
@@ -9310,17 +9310,17 @@
 #endif  
          enddo !do j=i+1,INB
-        endif ! (i.lt.inb(il) .and. lwork(il)) THEN
+        endif ! (i.lt.inb(il) .AND. lwork(il)) THEN
        enddo !do il=1,ncum 
 #endif
 
-      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+      IF ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
        do il=1,ncum 
-        if (i.lt.inb(il) .and. lwork(il)) THEN
+        IF (i.lt.inb(il) .AND. lwork(il)) THEN
          do j=i+1,INB(il)
           xtp(iso_eau,il,j)=qp(il,j)          
          enddo !do j=i+1,INB
-        endif ! (i.lt.inb(il) .and. lwork(il)) THEN
+        endif ! (i.lt.inb(il) .AND. lwork(il)) THEN
        enddo !do il=1,ncum 
-      endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+      endif !if ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
       ! end verif des inputs 
 
@@ -9329,10 +9329,10 @@
       
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) THEN
-        if ((Mp(il,i).gt.Mp(il,i+1)).and.(Mp(il,i).gt.Mpmin)) THEN
+       IF (i.le.inb(il) .AND. lwork(il)) THEN
+        IF ((Mp(il,i).gt.Mp(il,i+1)).AND.(Mp(il,i).gt.Mpmin)) THEN
           ! cas entrainant
           fac_ftmr(il)=1.0/Mp(il,i)
         else !if ((Mp(il,i).gt.Mp(il,i+1))
-          if (Mp(il,i+1).gt.Mpmin) THEN
+          IF (Mp(il,i+1).gt.Mpmin) THEN
               ! cas non entrainant, mais flux existe
               fac_ftmr(il)=1.0/Mp(il,i+1)
@@ -9345,5 +9345,5 @@
         
 #endif        
-       endif ! (i.le.inb(il) .and. lwork(il)) THEN
+       endif ! (i.le.inb(il) .AND. lwork(il)) THEN
       enddo !do il=1,ncum
 
@@ -9351,7 +9351,7 @@
             
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) THEN
-        if (i.lt.INB(il)) THEN
-         if ((Mp(il,i).gt.Mp(il,i+1)).and.(Mp(il,i).gt.Mpmin)) THEN
+       IF (i.le.inb(il) .AND. lwork(il)) THEN
+        IF (i.lt.INB(il)) THEN
+         IF ((Mp(il,i).gt.Mp(il,i+1)).AND.(Mp(il,i).gt.Mpmin)) THEN
           ! cas entrainant
           rat(il)=Mp(il,i+1)/Mp(il,i)
@@ -9362,5 +9362,5 @@
           enddo
          else !if (Mp(il,i).gt.Mp(il,i+1)) THEN
-           if (Mp(il,i+1).gt.Mpmin) THEN
+           IF (Mp(il,i+1).gt.Mpmin) THEN
               ! cas non entrainant, mais flux existe
               qp_avantevap(il)=qp(il,i+1)
@@ -9375,5 +9375,5 @@
               ! l'environnement
               qp_avantevap(il)=qp(il,i)
-              if (qp(il,i).gt.0) THEN
+              IF (qp(il,i).gt.0) THEN
 #ifdef ISOVERIF
                 CALL iso_verif_positif_strict(q(il,i), &
@@ -9397,5 +9397,5 @@
           ! l'environnement
           qp_avantevap(il)=qp(il,i)
-          if (qp(il,i).gt.0) THEN
+          IF (qp(il,i).gt.0) THEN
             do ixt=1,ntraciso
              xtp_avantevap(ixt,il)=xt(ixt,il,i)/q(il,i)*qp(il,i)
@@ -9409,16 +9409,16 @@
           endif !if (qp(il,i).gt.0) THEN
         endif ! if i.lt.INB(il)
-       endif ! (i.le.inb(il) .and. lwork(il)) THEN
+       endif ! (i.le.inb(il) .AND. lwork(il)) THEN
       enddo !do il=1,ncum
 
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
         do il=1,ncum 
-          if (i.le.inb(il) .and. lwork(il)) THEN
+          IF (i.le.inb(il) .AND. lwork(il)) THEN
             CALL iso_verif_egalite_choix( &
                  (xtp_avantevap(iso_eau,il)), &
                  (qp_avantevap(il)), &
                   'appel_stewart_np 95',errmax,errmaxrel)
-          endif ! (i.le.inb(il) .and. lwork(il)) THEN
+          endif ! (i.le.inb(il) .AND. lwork(il)) THEN
         enddo !do il=1,ncum
       endif !if (iso_eau.gt.0) THEN
@@ -9429,5 +9429,5 @@
       
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) THEN
+       IF (i.le.inb(il) .AND. lwork(il)) THEN
         Pqisup(il)=sigd(il)/g*wt(il,i)*water(il,i+1)+wdtrain(il)/g
         Pqiinf(il)=sigd(il)/g*wt(il,i)*water(il,i) ! ce qu'on aurait dans si ce
@@ -9441,7 +9441,7 @@
         ! mais donne pbs en 1D. On met une rustine, mais c'est pas bien
         ! justifié. Il faudrait reprendre ça proprement un jour.
-        if ((Eqi_prime(il).gt.0.0).and. &
-            (Pqiinf(il).ge.Pqisup(il)).and. &
-            (Pqisup(il).gt.0.0).and. &
+        IF ((Eqi_prime(il).gt.0.0).AND. &
+            (Pqiinf(il).ge.Pqisup(il)).AND. &
+            (Pqisup(il).gt.0.0).AND. &
             (Pqisup(il)-Eqi_prime(il).gt.0.0)) THEN
                 ! rustine au cas patho en 1D pour -90hPa/d
@@ -9455,5 +9455,5 @@
                  +xtwdtrain(ixt,il)/g
         enddo
-       endif !if (i.le.inb(il) .and. lwork(il)) THEN
+       endif !if (i.le.inb(il) .AND. lwork(il)) THEN
       enddo !do il=1,ncum 
 
@@ -9471,8 +9471,8 @@
 !      WRITE(*,*) 'qp_avantevap=',qp_avantevap(il)
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) THEN
+       IF (i.le.inb(il) .AND. lwork(il)) THEN
          do ixt=1,niso
-          if (iso_verif_noNaN_nostop((Pxtisup(ixt,il)), &
-              'appel_setwart_vectall_np 338').eq.1) THEN
+          IF (iso_verif_noNaN_nostop((Pxtisup(ixt,il)), &
+              'appel_setwart_vectall_np 338').EQ.1) THEN
             WRITE(*,*) 'il,i,ixt=',il,i,ixt
             WRITE(*,*) 'xtwater(ixt,il,i+1)=',xtwater(ixt,il,i+1)
@@ -9484,5 +9484,5 @@
           endif
          enddo !do ixt=1,niso
-       endif !if (i.le.inb(il) .and. lwork(il)) THEN
+       endif !if (i.le.inb(il) .AND. lwork(il)) THEN
       enddo !do il=1,ncum 
 #endif
@@ -9495,5 +9495,5 @@
 !     :     Pqiinf_par(il),Eqi_par(il)
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) THEN
+       IF (i.le.inb(il) .AND. lwork(il)) THEN
          CALL iso_verif_egalite_choix((Pqiinf(il)), &
               (Pqiinf_par(il)),'appel_stewart_np 218', &
@@ -9501,10 +9501,10 @@
        endif
 !#ifdef ISOTRAC
-!        if ((option_traceurs.eq.17).or.
-!     :           (option_traceurs.eq.18)) THEN
+!        if ((option_traceurs.EQ.17).OR.
+!     :           (option_traceurs.EQ.18)) THEN
 !        if (iso_verif_positif_nostop((        
 !     :          Pxtisup(index_trac(izone_cond,iso_eau),il)
 !     :          -Pxtisup(iso_eau,il)),
-!     :          'appel_stewart_np 332').eq.1) THEN
+!     :          'appel_stewart_np 332').EQ.1) THEN
 !          WRITE(*,*) 'Pxtisup(:,il)=',Pxtisup(:,il)
 !          WRITE(*,*) 'xtwater(:,il,i+1)=',xtwater(:,il,i+1)
@@ -9512,5 +9512,5 @@
 !          stop
 !        endif !if (iso_verif_positif_nostop(Pxtisup(iso_eau,il)-
-!        endif !if ((option_traceurs.eq.17).or.    
+!        endif !if ((option_traceurs.EQ.17).OR.
 !#endif       
       enddo !do il=1,ncum 
@@ -9525,8 +9525,8 @@
       ! petite vérif sur les flux
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) THEN
-         if ((Eqi_par(il).lt.0.0) &
-                .and.(Pqiinf_par(il).le.0.0) &
-               .and.(water(il,i).gt.ridicule/10.)) THEN
+       IF (i.le.inb(il) .AND. lwork(il)) THEN
+         IF ((Eqi_par(il).lt.0.0) &
+                .AND.(Pqiinf_par(il).le.0.0) &
+               .AND.(water(il,i).gt.ridicule/10.)) THEN
             ! dans ce cas, on a de l'eau sortant dont il faut déterminer la
             ! composition, mais pourtant le bilan de masse indique qu'il
@@ -9538,5 +9538,5 @@
 #endif                
 
-            if (Eqi_prime(il)*fac_ftmr(il).lt. &
+            IF (Eqi_prime(il)*fac_ftmr(il).lt. &
                 qp_avantevap(il)*1e-2) THEN
                 ! ouf: Eqi_prime a peut d'effet sur la vapeur du ddft.
@@ -9553,13 +9553,13 @@
             endif
           endif
-        endif !if (i.le.inb(il) .and. lwork(il)) THEN
+        endif !if (i.le.inb(il) .AND. lwork(il)) THEN
       enddo !do il=1,ncum
 
-      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+      IF ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
           do il=1,ncum
             xtp_avantevap(iso_eau,il)=qp_avantevap(il)
             Pxtisup(iso_eau,il)=Pqisup(il)
           enddo
-      endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+      endif !if ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
       ! ******** parsage des différents cas + quelques vérifs
       icas_condensation_facftmr=0
@@ -9571,5 +9571,5 @@
       ! initialisation de l'outil de tracage de cas:
       do il=1,ncum
-        if (i.le.inb(il) .and. lwork(il)) THEN
+        IF (i.le.inb(il) .AND. lwork(il)) THEN
           trace_cas(il)=0
         else
@@ -9585,6 +9585,6 @@
 !#endif      
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) THEN
-        if ((Eqi_prime(il).lt.-ridicule*1e-3).or. &
+       IF (i.le.inb(il) .AND. lwork(il)) THEN
+        IF ((Eqi_prime(il).lt.-ridicule*1e-3).OR. &
               (Eqi_prime(il)*fac_ftmr(il).lt.-ridicule*10)) THEN
             ! modif le 10 mai 2009: si Eqi_prime très petit, on le
@@ -9592,5 +9592,5 @@
             ! modif 15 mai 2009: on rajoute condition sur Eqi*fac_ftmr
             ! 1: Eqi_prime<0: condensation
-          if (fac_ftmr(il).gt.ridicule/100.) THEN
+          IF (fac_ftmr(il).gt.ridicule/100.) THEN
             ! si fac_ftmr très petit, on le traite comme du 0
             ! 1.1: si Mpi>0
@@ -9608,5 +9608,5 @@
 !#endif
           endif !if (fac_ftmr.gt.0.0) THEN
-        else if ((Eqi_prime(il).lt.ridicule*1e-3).and. &
+        ELSE IF ((Eqi_prime(il).lt.ridicule*1e-3).AND. &
            (Eqi_prime(il)*fac_ftmr(il).lt.ridicule*10)) THEN
             ! 2: Eqi_prime est compris entre 1e-14 et -1e-14: rien 
@@ -9626,5 +9626,5 @@
             enddo
 #ifdef ISOVERIF
-            if ((Pqisup(il).le.0.0).and. &
+            IF ((Pqisup(il).le.0.0).AND. &
                 (water(il,i).gt.ridicule)) THEN
               WRITE(*,*) 'appel_stewart_np 420: water=',water(il,i)
@@ -9633,9 +9633,9 @@
               stop
             endif    
-            if (iso_eau.gt.0) THEN
-             if (iso_verif_egalite_choix_nostop( &
+            IF (iso_eau.gt.0) THEN
+             IF (iso_verif_egalite_choix_nostop( &
                 (qp_avantevap(il)), &
                 qp(il,i),'appel_stewart_np 521', &
-                errmax,errmaxrel).eq.1) THEN
+                errmax,errmaxrel).EQ.1) THEN
                WRITE(*,*) 'Mp(il,i)=',Mp(il,i)
                WRITE(*,*) 'Mp(il,i+1)=',Mp(il,i+1)
@@ -9657,5 +9657,5 @@
 !             if (iso_verif_positif_nostop((
 !     :            Pqisup(il)-Eqi_prime(il)),
-!     :            'appel_stewart_np 388 nostop ').eq.1) THEN
+!     :            'appel_stewart_np 388 nostop ').EQ.1) THEN
 !               WRITE(*,*) 'il,Pqisup=',il,Pqisup(il)
 !               WRITE(*,*) 'Eqi_prime=',Eqi_prime(il)
@@ -9664,7 +9664,7 @@
 !!               stop
 !              endif
-              if (iso_verif_positif_choix_nostop(( &
+              IF (iso_verif_positif_choix_nostop(( &
                 Pqisup(il)-Pqiinf_par(il)),errmax, &
-                'appel_stewart_np 442').eq.1) THEN
+                'appel_stewart_np 442').EQ.1) THEN
                 WRITE(*,*) 'appel_stewart_np 174'
                 WRITE(*,*) 'Pqisup=',Pqisup(il), &
@@ -9672,6 +9672,6 @@
                 stop
               endif               
-              if (iso_verif_positif_nostop((Eqi_par(il)), &
-                'appel_stewart_np 559b').eq.1) THEN
+              IF (iso_verif_positif_nostop((Eqi_par(il)), &
+                'appel_stewart_np 559b').EQ.1) THEN
                 WRITE(*,*) 'Eqi(il),Eqi_plus1(il),Eqi_prime(il)=', &
                        Eqi(il),Eqi_plus1(il),Eqi_prime(il)
@@ -9680,5 +9680,5 @@
               endif
 #endif              
-              if (T(il,i).ge.ztglace_kelvin) THEN
+              IF (T(il,i).ge.ztglace_kelvin) THEN
                 ! 3.1: evap des gouttes
                 icas_evap_liq=icas_evap_liq+1  
@@ -9696,5 +9696,5 @@
               endif !if (T(il,i).ge.ztglace_kelvin) THEN
           endif !if (Eqi_prime.lt.0.0) THEN
-       endif !if (i.le.inb(il) .and. lwork(il)) THEN
+       endif !if (i.le.inb(il) .AND. lwork(il)) THEN
       enddo  !do il=1,ncum 
 
@@ -9712,5 +9712,5 @@
       ncas_tot=0
       do il=1,ncum
-        if (i.le.inb(il) .and. lwork(il)) THEN
+        IF (i.le.inb(il) .AND. lwork(il)) THEN
             ncas_tot=ncas_tot+1
         endif
@@ -9723,5 +9723,5 @@
 !      WRITE(*,*) 'ncas_evap_liq_=',ncas_evap_liq
 !      WRITE(*,*) 'ncas_evap_glace=',ncas_evap_glace
-      if (ncas_tot.ne.ncas_condensation_facftmr &
+      IF (ncas_tot.NE.ncas_condensation_facftmr &
                +ncas_condensation_nofacftmr &
                +ncas_noevap &
@@ -9736,5 +9736,5 @@
       ! ****** traitement vectoriel du cas 1.1
 
-      if (ncas_condensation_facftmr.gt.0) THEN
+      IF (ncas_condensation_facftmr.gt.0) THEN
 !#ifdef ISOVERIF        
 !      WRITE(*,*) 'cas_condensation_facftmr(1)=', &
@@ -9777,5 +9777,5 @@
               'appel_stewart_np 460: compress condensation_facftmr', &
               errmax,errmax)
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix( &
               (xtp_avantevap_cas(iso_eau,il)), &
@@ -9840,5 +9840,5 @@
 
 #ifdef ISOVERIF 
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
           do il=1,ncas_condensation_facftmr
             CALL iso_verif_egalite_choix( &
@@ -9889,5 +9889,5 @@
 !     :           xtp_avantevap(1:ntraciso:3,
 !     :           cas_condensation_facftmr(il))
-!               if (il.eq.cas_condensation_facftmr(602)) THEN
+!               if (il.EQ.cas_condensation_facftmr(602)) THEN
 !                WRITE(*,*) 'appel_stewart_np 638: il=602'
 !                WRITE(*,*) 'xtp(iso_eau:ntraciso:3,il,i)=',
@@ -9912,5 +9912,5 @@
         ! ****** traitement vectoriel du cas 1.2
 
-      if (ncas_condensation_nofacftmr.gt.0) THEN
+      IF (ncas_condensation_nofacftmr.gt.0) THEN
       CALL compress_cond_nofftmr(ncas_condensation_nofacftmr, &
          cas_condensation_nofacftmr, &
@@ -10041,5 +10041,5 @@
         ! ****** traitement vectoriel du cas 2
 
-      if (ncas_noevap.gt.0) THEN
+      IF (ncas_noevap.gt.0) THEN
       CALL compress_noevap(ncas_noevap, &
          cas_noevap, &
@@ -10065,13 +10065,13 @@
                 water(cas_noevap(il),i), &
                 'appel_stewart_np 693: compression',errmax,errmaxrel)
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix( &
                 (Pxtisup_cas(iso_eau,il)), &
                 (Pqisup_cas(il)), &
                 'appel_stewart_np 759',errmax,errmaxrel)
-        if (iso_verif_egalite_choix_nostop( &
+        IF (iso_verif_egalite_choix_nostop( &
                 (xtp_avantevap(iso_eau,cas_noevap(il))), &
                 qp(cas_noevap(il),i), &
-                'appel_stewart_np 739',errmax,errmaxrel).eq.1) THEN
+                'appel_stewart_np 739',errmax,errmaxrel).EQ.1) THEN
            WRITE(*,*) 'il,cas_noevap=',il,cas_noevap(il)
            stop
@@ -10168,5 +10168,5 @@
         ! ****** traitement vectoriel du cas 3.1
 
-      if (ncas_evap_liq.gt.0) THEN
+      IF (ncas_evap_liq.gt.0) THEN
       CALL compress_evap_liq(3,ncas_evap_liq, &
          cas_evap_liq, &
@@ -10221,5 +10221,5 @@
               'appel_stewart_np 783: compression evap_liq', &
                 errmax,errmax)
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix( &
               (xtp_avantevap_cas(iso_eau,il)), &
@@ -10283,5 +10283,5 @@
 
        ! initialisation dans le cas où la revap est taggée:
-       if (option_revap.eq.1) THEN
+       IF (option_revap.EQ.1) THEN
          do il=1,ncas_evap_liq  
            do iiso=1,niso
@@ -10336,5 +10336,5 @@
 !       WRITE(*,*) 'xtp_avantevaptrac_cas(iso_eau,2)=',
 !     :           xtp_avantevaptrac_cas(iso_eau,2)
-       if (iso_eau.gt.0) THEN
+       IF (iso_eau.gt.0) THEN
            do il=1,ncas_evap_liq
 !             WRITE(*,*) 'appel_stewart_np tmp 943: il=',il
@@ -10359,17 +10359,17 @@
                 'appel_stewart_np 961', &
                 errmax,errmaxrel)
-!             if ((option_traceurs.eq.17).or.
-!     :           (option_traceurs.eq.18)) THEN
-!               if (izone.eq.izone_cond) THEN
+!             if ((option_traceurs.EQ.17).OR.
+!     :           (option_traceurs.EQ.18)) THEN
+!               if (izone.EQ.izone_cond) THEN
 !                CALL iso_verif_positif((
 !     :           Pxtisup_cas(iso_eau,il)
 !     :           -Pxtisup(iso_eau,cas_evap_liq(il))),
 !     :           'appel_stewart_np 1114')
-!               else !if (izone.eq.izone_cond) THEN
+!               else !if (izone.EQ.izone_cond) THEN
 !                CALL iso_verif_positif((
 !     :           -Pxtisup_cas(iso_eau,il)),
 !     :           'appel_stewart_np 1118')
-!               endif !if (izone.eq.izone_cond) THEN
-!             endif   !if ((option_traceurs.eq.17).or.
+!               endif !if (izone.EQ.izone_cond) THEN
+!             endif   !if ((option_traceurs.EQ.17).OR.
            enddo !do il=1,ncas_evap_liq
        endif !if (iso_eau.gt.0) THEN
@@ -10419,10 +10419,10 @@
        do il=1,ncas_evap_liq
            
-           if (iso_verif_traceur_nostop(xtp(1,cas_evap_liq(il),i), &
-                'appel_stewart_np 1256').eq.1) THEN
+           IF (iso_verif_traceur_nostop(xtp(1,cas_evap_liq(il),i), &
+                'appel_stewart_np 1256').EQ.1) THEN
              WRITE(*,*) 'il,cas_evap_liq(il)=',il,cas_evap_liq(il)
              WRITE(*,*) 'trace_cas(cas_evap_liq(il))=', &
                 trace_cas(cas_evap_liq(il))
-             if (trace_cas(cas_evap_liq(il)).eq.31) THEN
+             IF (trace_cas(cas_evap_liq(il)).EQ.31) THEN
                  WRITE(*,*) 'cas evap_liq'
                  WRITE(*,*) 'xtp(:,cas_evap_liq(il),i)=', &
@@ -10440,5 +10440,5 @@
                  WRITE(*,*) 'h(il)=',thumxt1+(1.0-thumxt1)* &
                         qp_avantevap_cas(il)/qs_cas(il)
-             endif !if (trace_cas(il).eq.31) THEN
+             endif !if (trace_cas(il).EQ.31) THEN
                 ! en cas de problème ci, activer l'option débug de
                 ! stewart_explicit
@@ -10467,5 +10467,5 @@
                 ! ****** traitement vectoriel du cas 3.2
 
-      if (ncas_evap_glace.gt.0) THEN
+      IF (ncas_evap_glace.gt.0) THEN
       CALL compress_evap_glace(3, &
          ncas_evap_glace,cas_evap_glace, &
@@ -10522,5 +10522,5 @@
               'appel_stewart_np 914: compression evap_glace', &
                 errmax,errmax)
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix( &
               (xtp_avantevap_cas(iso_eau,il)), &
@@ -10575,5 +10575,5 @@
 
        ! initialisation dans le cas où la revap est taggée:
-       if (option_revap.eq.1) THEN
+       IF (option_revap.EQ.1) THEN
          do il=1,ncas_evap_glace   
            do iiso=1,niso
@@ -10643,6 +10643,6 @@
 !     :           (1:ntraciso,cas_evap_glace(il))
 !           WRITE(*,*) 'xtp=',xtp(1:ntraciso,cas_evap_glace(il),i)
-           if (iso_verif_traceur_nostop(xtp(1,cas_evap_glace(il),i), &
-                'appel_stewart_np 1314').eq.1) THEN
+           IF (iso_verif_traceur_nostop(xtp(1,cas_evap_glace(il),i), &
+                'appel_stewart_np 1314').EQ.1) THEN
              WRITE(*,*) 'il,cas_evap_glace(il)=',il,cas_evap_glace(il)
              WRITE(*,*) 'trace_cas(cas_evap_glace(il))=', &
@@ -10678,44 +10678,44 @@
 #ifdef ISOVERIF
         do il=1,ncum 
-           if (i.le.inb(il) .and. lwork(il)) THEN
+           IF (i.le.inb(il) .AND. lwork(il)) THEN
              do ixt=1,ntraciso
-               if ((iso_verif_noNAN_nostop(xtevap(ixt,il,i), &
-                  'appel_stewart_np 1661').eq.1).or. &
+               IF ((iso_verif_noNAN_nostop(xtevap(ixt,il,i), &
+                  'appel_stewart_np 1661').EQ.1).OR. &
                   (iso_verif_noNAN_nostop(xtp(ixt,il,i), &
-                  'appel_stewart_np 1382').eq.1).or. &
+                  'appel_stewart_np 1382').EQ.1).OR. &
                   (iso_verif_noNAN_nostop(xtwater(ixt,il,i), &
-                  'appel_stewart_np 1381').eq.1)) THEN
+                  'appel_stewart_np 1381').EQ.1)) THEN
                  WRITE(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
                  stop
                endif
              enddo
-         endif !if (i.le.inb(il) .and. lwork(il)) THEN
+         endif !if (i.le.inb(il) .AND. lwork(il)) THEN
        enddo !do il=1,ncum 
 #endif  
 #ifdef ISOVERIF
         do il=1,ncum 
-           if (i.le.inb(il) .and. lwork(il)) THEN
-             if (iso_eau.gt.0) THEN
-              if (iso_verif_egalite_choix_nostop(xtwater(iso_eau,il,i), &
+           IF (i.le.inb(il) .AND. lwork(il)) THEN
+             IF (iso_eau.gt.0) THEN
+              IF (iso_verif_egalite_choix_nostop(xtwater(iso_eau,il,i), &
               water(il,i),'appel_stewart_np 1277, fin, water', &
-              errmax,errmaxrel).eq.1) THEN
+              errmax,errmaxrel).EQ.1) THEN
                WRITE(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
                stop 
               endif  !if (iso_verif_egalite_choix_nostop(  
-              if (iso_verif_egalite_choix_nostop( &
+              IF (iso_verif_egalite_choix_nostop( &
               xtp(iso_eau,il,i),qp(il,i),'appel_stewart_np 1278', &
-              errmax,errmaxrel*50).eq.1) THEN
+              errmax,errmaxrel*50).EQ.1) THEN
                WRITE(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
                stop 
               endif  !if (iso_verif_egalite_choix_nostop(
-              if (iso_verif_egalite_choix_nostop( &
+              IF (iso_verif_egalite_choix_nostop( &
               xtevap(iso_eau,il,i),evap(il,i), &
               'appel_stewart_np 1279', &
-              errmax,errmaxrel).eq.1) THEN
+              errmax,errmaxrel).EQ.1) THEN
                WRITE(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
                stop 
               endif  !if (iso_verif_egalite_choix_nostop(
              endif !if (iso_eau.gt.0) THEN
-             if ((iso_HDO.gt.0).and. &
+             IF ((iso_HDO.gt.0).AND. &
                 (qp(il,i).gt.ridicule)) THEN
                 CALL iso_verif_aberrant( &
@@ -10724,5 +10724,5 @@
              endif  ! if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
-!           if (il.eq.602) THEN
+!           if (il.EQ.602) THEN
 !              WRITE(*,*) 'appel_stewart_np 1334: il,i=',il,i
 !              WRITE(*,*) 'xtp(iso_eau:ntraciso:3,il,i)=',
@@ -10735,22 +10735,22 @@
            CALL iso_verif_traceur(xtwater(1,il,i), &
                 'appel_stewart_np 1636')
-!           if ((option_traceurs.eq.17).or.
-!     :           (option_traceurs.eq.18)) THEN
+!           if ((option_traceurs.EQ.17).OR.
+!     :           (option_traceurs.EQ.18)) THEN
 !            if (iso_verif_positif_nostop(xtwater(
 !     :           index_trac(izone_cond,iso_eau),il,i)
 !     :           -xtwater(iso_eau,il,i),
-!     :           'appel_stewart_np 1457').eq.1) THEN
+!     :           'appel_stewart_np 1457').EQ.1) THEN
 !             WRITE(*,*) 'il,trace_cas=',il,trace_cas(il)
 !             stop
 !            endif !if (iso_verif_positif_nostop(xtwater(iso_eau,il,i)-
-!           endif !if ((option_traceurs.eq.17).or.
+!           endif !if ((option_traceurs.EQ.17).OR.
 #endif  
-           endif !if (i.le.inb(il) .and. lwork(il)) THEN
+           endif !if (i.le.inb(il) .AND. lwork(il)) THEN
         enddo !do il=1,ncum 
 #endif
 
-       if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+       IF ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
          do il=1,ncum 
-           if (i.le.inb(il) .and. lwork(il)) THEN
+           IF (i.le.inb(il) .AND. lwork(il)) THEN
              xtwater(iso_eau,il,i)= water(il,i)
              xtp(iso_eau,il,i)=qp(il,i) 
@@ -10768,5 +10768,5 @@
 #endif            
 #endif             
-           endif !if (i.le.inb(il) .and. lwork(il)) THEN
+           endif !if (i.le.inb(il) .AND. lwork(il)) THEN
           enddo !do il=1,ncum  
         endif !if (bidouille_anti_divergence) THEN
@@ -10795,21 +10795,21 @@
 
         ! inputs
-        integer ncas
-        real xtevapsup_cas(niso,ncas),water_cas(ncas)
+        INTEGER ncas
+        REAL xtevapsup_cas(niso,ncas),water_cas(ncas)
         real  xtp_avantevap_cas(niso,ncas), &
         Pqisup_cas(ncas), Pxtisup_cas(niso,ncas)
 #ifdef ISOVERIF        
-        real evap_cas(ncas),qp_cas(ncas)
-        integer oktrac ! si traceurs, certaines verifs ne sont pas
+        REAL evap_cas(ncas),qp_cas(ncas)
+        INTEGER oktrac ! si traceurs, certaines verifs ne sont pas
                 !valides
 #endif
 !        integer iso_verif_noNaN_nostop
         ! outputs
-        real xtevap_cas(niso,ncas),xtp_cas(niso,ncas), &
+        REAL xtevap_cas(niso,ncas),xtp_cas(niso,ncas), &
                  xtwater_cas(niso,ncas)
 
         ! locals
-        real Risup(niso,ncas)
-        integer il,ixt
+        REAL Risup(niso,ncas)
+        INTEGER il,ixt
         !real 
 
@@ -10825,5 +10825,5 @@
 #ifdef ISOVERIF       
        do il=1,ncas
-        if ((Pqisup_cas(il).le.0.0).and. &
+        IF ((Pqisup_cas(il).le.0.0).AND. &
                 (water_cas(il).gt.ridicule*10)) THEN
             ! 27 mai 2009: on est plus laxiste dans le cas des traceurs
@@ -10834,5 +10834,5 @@
             stop
          endif
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix( &
                 (Pxtisup_cas(iso_eau,il)), &
@@ -10846,5 +10846,5 @@
         do il=1,ncas
          ! changement: >0 -> >ridicule*1e-2
-         if (Pqisup_cas(il).gt.ridicule*1e-2) THEN
+         IF (Pqisup_cas(il).gt.ridicule*1e-2) THEN
             do ixt=1,niso  
               Risup(ixt,il)=Pxtisup_cas(ixt,il)/Pqisup_cas(il)
@@ -10865,6 +10865,6 @@
               CALL iso_verif_noNaN(xtevap_cas(ixt,il), &
                   'appel_stewart_np 286')
-              if (iso_verif_noNaN_nostop(xtwater_cas(ixt,il), &
-                  'appel_stewart_np 1594').eq.1) THEN
+              IF (iso_verif_noNaN_nostop(xtwater_cas(ixt,il), &
+                  'appel_stewart_np 1594').EQ.1) THEN
                  WRITE(*,*) 'il,ixt=',il,ixt
                  WRITE(*,*) 'water_cas(il)=',water_cas(il)
@@ -10877,10 +10877,10 @@
 #endif
 #ifdef ISOVERIF   
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             do il=1,ncas
               CALL iso_verif_egalite_choix(xtwater_cas(iso_eau,il), &
                 water_cas(il),'appel_stewart_np 262.2, cas 1.1', &
                 errmax,errmaxrel)
-              if ((xtwater_cas(iso_eau,il).eq.0).and. &
+              IF ((xtwater_cas(iso_eau,il).EQ.0).AND. &
                 (water_cas(il).gt.ridicule)) THEN
                WRITE(*,*) 'appel_stewart_np 263.2, cas 1.1'
@@ -10889,5 +10889,5 @@
                stop
               endif
-              if (oktrac.eq.0) THEN
+              IF (oktrac.EQ.0) THEN
 !                  WRITE(*,*) 'appel_stewart_np 1743 noevap tmp: il=',il
              CALL iso_verif_egalite_choix(xtp_cas(iso_eau,il), &
@@ -10898,11 +10898,11 @@
                 'appel_stewart_np 275.2, cas 1.1', &
                 errmax,errmaxrel)
-             endif !if (oktrac.eq.0) THEN
+             endif !if (oktrac.EQ.0) THEN
              enddo !do il=1,ncas
             endif ! if (iso_eau.gt.0) THEN
-            if (oktrac.eq.0) THEN
-            if (iso_HDO.gt.0) THEN
+            IF (oktrac.EQ.0) THEN
+            IF (iso_HDO.gt.0) THEN
               do il=1,ncas
-                if (qp_cas(il).gt.ridicule) THEN
+                IF (qp_cas(il).gt.ridicule) THEN
                 CALL iso_verif_aberrant( &
                 xtp_cas(iso_HDO,il)/qp_cas(il), &
@@ -10911,5 +10911,5 @@
               enddo !do il=1,ncas 
             endif  ! if (iso_HDO.gt.0) THEN
-            endif !if (oktrac.eq.0) THEN
+            endif !if (oktrac.EQ.0) THEN
 #endif           
 
@@ -10947,8 +10947,8 @@
 
         ! inputs
-        integer ncas
-        real xtp_avantevap_cas(niso,ncas), &
+        INTEGER ncas
+        REAL xtp_avantevap_cas(niso,ncas), &
                 qp_avantevap_cas(ncas)
-        real xtp_avantevaptrac_cas(niso,ncas), &
+        REAL xtp_avantevaptrac_cas(niso,ncas), &
                 qp_avantevaptrac_cas(ncas)
         ! dans le cas des traceurs: xtp_avantevaptrac_cas est la
@@ -10957,23 +10957,23 @@
         ! on rééquilibre la goutte avec le total de toutes les zones,
         ! mais c'est xtp_avantevaptrac_cas qui recoit l'évap
-        real Pqisup_cas(ncas), Pxtisup_cas(niso,ncas)
-        real Pqiinf_stewart(ncas), Eqi_stewart(ncas)
-        real fac_ftmr_cas(ncas),Eqi_prime_cas(ncas)
-        real Eqi_cas(ncas)
-        real T_cas(ncas),delP_cas(ncas), &
+        REAL Pqisup_cas(ncas), Pxtisup_cas(niso,ncas)
+        REAL Pqiinf_stewart(ncas), Eqi_stewart(ncas)
+        REAL fac_ftmr_cas(ncas),Eqi_prime_cas(ncas)
+        REAL Eqi_cas(ncas)
+        REAL T_cas(ncas),delP_cas(ncas), &
                 xtevapsup_cas(niso,ncas), &
                 wt_cas(ncas),qeff(ncas), &
                 qs_cas(ncas),water_cas(ncas), &
                 qp_cas(ncas)
-        integer oktrac      
+        INTEGER oktrac
 #ifdef ISOTRAC        
-        real ptrac(ncas)  
-        real hdiag(ncas)
+        REAL ptrac(ncas)
+        REAL hdiag(ncas)
 #endif        
 #ifdef ISOVERIF        
-        real evap_cas(ncas)   
+        REAL evap_cas(ncas)
 #endif        
-        integer INB_cas(ncas),i
-        real g,sigd(ncas)
+        INTEGER INB_cas(ncas),i
+        REAL g,sigd(ncas)
         ! outputs
         real  xtp_cas(niso,ncas),xtwater_cas(niso,ncas), &
@@ -10981,8 +10981,8 @@
 
         ! locals        
-        integer il,ixt        
-        real Pxtiinf_stewart(niso,ncas),  &
+        INTEGER il,ixt
+        REAL Pxtiinf_stewart(niso,ncas),  &
                 Exi_stewart(niso,ncas)
-        real xtnew(niso,ncas)
+        REAL xtnew(niso,ncas)
 !#ifdef ISOVERIF
 !        integer iso_verif_egalite_choix_nostop
